
# Copyright (C) Johan Ceuppens 2010
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from gameobject import *
from stateimagelibrary import *
import random
from rng import *
from time import *
from math import *
from scorpionred1 import *

class ScorpionRed3(ScorpionRed1):
    "Red Scorpion"
    def __init__(self,xx,yy):
	ScorpionRed1.__init__(self, xx, yy)
    
	     
    def update(self,room,player):
	if room.collideboxeswithenemy(self):
            # NOTE: 
            self.y -= 4
	    if (self.direction == "right"):
	        self.x -=4
	        self.direction = "left" 
	    elif (self.direction == "left"):
	        self.x +=4
	        self.direction = "right"
        
	if self.direction == "left":
		self.x -= 3
	elif self.direction == "right":
		self.x += 3	  

    def collideboxes(self, room, entityorbox):
        # NOTE: that no relx rely from  map are needed
        #print 'gameobject x=%d y=%d entityorbox x=%d y=%d' % (self.x,self.y,entityorbox.x-room.relativex,entityorbox.y-room.relativey)
##	if (entityorbox.x > self.x  and 
##	entityorbox.x < self.x+self.w and
        
	if (entityorbox.x + entityorbox.w >= self.x and entityorbox.x <= self.x and
            entityorbox.y + entityorbox.h >= self.y and entityorbox.y <= self.y):# and
    #        entityorbox.y >= self.y):
	    print "collision with Fishman and box!"
	    return 1 
	else:
	    return 0 ## for game self.talker


    def fight(self,room,player):
        self.fightcounter = 1
        o = player.collidewithenemyweapon(room,self)
        if o:
            player.hitwithenemyweapon(RNG().rollscorpionred())
